package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawVaultodyPayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String address;
    @JSONField(ordinal = 20)
    private String bankCode;
    @JSONField(ordinal = 30)
    private BigDecimal amount;

    private Map<String, String> bankCodeSelect;

    public FinanceWithdrawVaultodyPayDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("address", "钱包地址");
        params.put("bankCode", "银行code");
        params.put("amount", "金额");

        paramsEn.put("address", "address");
        paramsEn.put("bankCode", "bankCode");
        paramsEn.put("amount", "amount");

    }
}
